Universes Management

Get Universes

List the available universes

GET
https://api.textreveal.com/v3/universes

Request

Parameters

  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • search_afteruuid

    The last ID on the page you're currently on when you want to fetch the next page.

  • typestring (enum)

    Universe kind.

    • PRIVATE: visible to the owners, to the users with account management rights and to the users it is shared with.

    • SHARED: also shared with an organization.

    • SESAMM: managed by SESAMm, no owner, only SESAMm admins can manage it.

    What the caller may do is given by access_level.

    Values: "PRIVATE", "SHARED", "SESAMM"

Response

Response - 200

Properties of the universes

  • data*object[]

    Properties of the universes. Only the universes available for your organization are returned.

    Array length: [0, ∞]
  • size*integer

    Number of records per page requested.

    Minimum: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Minimum: 0
  • search_after*string | null

    Cursor for next page.

Response
{
  "data": [
    {
      "universe_name": "Tech Asian companies",
      "universe_id": "75ebc096-749e-4b8f-b690-df13daf49c62",
      "type": "PRIVATE",
      "description": "The Asian companies that are in the Tech sector",
      "access_level": "OWNER"
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1,
  "search_after": "string"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

    Array length: [1, ∞]
Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number (enum)

    Error code.

    Values: 401
  • reason*string (enum)

    Error reason.

    Values: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Error - 402

Payment required

  • message*string

    Error message.

    Example: "Your account does not have access to this entity. Contact SESAMm sales for more information."
  • code*number (enum)

    Error code.

    Values: 402
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "Your account does not have access to this entity. Contact SESAMm sales for more information.",
  "code": 402,
  "reason": "forbidden"
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "Missing required permissions to perform this action."
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "Missing required permissions to perform this action.",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your organization."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your organization.",
  "code": 404,
  "reason": "not_found"
}

Error - 405

Method not allowed

  • message*string

    Error message.

    Example: "Method Not Allowed"
  • code*number (enum)

    Error code.

    Values: 405
  • reason*string (enum)

    Error reason.

    Values: "invalid"
Response
{
  "message": "Method Not Allowed",
  "code": 405,
  "reason": "invalid"
}

Generic errors are not shown, see Errors for more details.